Summary:	oFono - Open Source Telephony
Summary(pl.UTF-8):	oFono - telefonia o otwartych źródłach
Name:		ofono
Version:	1.15
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/ofono/%{name}-%{version}.tar.xz
# Source0-md5:	4d03de85239d8100dc7721bf0dad2bd2
URL:		https://ofono.org/
BuildRequires:	bluez-libs-devel >= 4.99
BuildRequires:	dbus-devel >= 1.4
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	mobile-broadband-provider-info-devel
BuildRequires:	pkgconfig
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel >= 1:143
BuildRequires:	xz
Requires:	dbus >= 1.4
Requires:	glib2 >= 1:2.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
oFono is an infrastructure for building mobile telephony (GSM/UMTS)
applications. oFono is licensed under GPL v2, and it includes a
high-level D-Bus API for use by telephony applications of any license.
oFono also includes a low-level plug-in API for integrating with open
source as well as third party telephony stacks, cellular modems and
storage back-ends.

%description -l pl.UTF-8
oFono to infrastruktura do tworzenia aplikacji związanych z telefonią
komórkową (GSM/UMTS). oFono jest wydawane na licencji GPL v2 i zawiera
wysokopoziomowe API D-Bus do wykorzystywania przez aplikacje na
dowolnej licencji. oFono zawiera także niskopoziomowe API wtyczek do
integracji z oprogramowaniem o otwartych źródłach, a także stosami
telefonicznych innych producentów, modemami komórkowymi oraz
backendami do przechowywania danych.

%package devel
Summary:	Header files for oFono plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek oFono
Group:		Development/Libraries
Requires:	dbus-devel >= 1.4
Requires:	glib2-devel >= 1:2.28
# doesn't require base

%description devel
Header files for oFono plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek oFono.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-dundee \
	--enable-threads \
	--enable-tools
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ofono/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/dundee
%attr(755,root,root) %{_sbindir}/ofonod
%dir %{_libdir}/ofono
%dir %{_libdir}/ofono/plugins
%dir %{_sysconfdir}/ofono
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ofono/phonesim.conf
/etc/dbus-1/system.d/dundee.conf
/etc/dbus-1/system.d/ofono.conf
/lib/systemd/system/dundee.service
/lib/systemd/system/ofono.service
%{_mandir}/man8/ofonod.8*

%files devel
%defattr(644,root,root,755)
%doc doc/*.txt
%{_includedir}/ofono
%{_pkgconfigdir}/ofono.pc
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ofono.git;a=log;h=master

* Wed Jul 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ae0ccb
- updated to 1.15

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> d1a23c6
- updated to 1.14

* Sun Nov 10 2013 Jakub Bogusz <qboosh@pld-linux.org> c175805
- updated to 1.13
- removed obsolete includes patch

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 66a7fd7
- updated to 1.12
- added includes patch (missing include for ssize_t)

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> bb19295
- updated to 1.11

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 4b82abd
- new

